" Name:         Artesanal
" Description:  A Vim colorscheme with light and dark variants originally based on Material Design (now strongly modified to my likings).
" Author:       Stefan Wimmer <wimstefan@gmail.com>
" Maintainer:   Stefan Wimmer <wimstefan@gmail.com>
" Website:      https://github.com/wimstefan/vim-artesanal
" License:      Vim License (see `:help license`)
" Last Updated: Mon 31 May 2021 07:16:59 PM CEST

" Generated by Colortemplate v2.1.0

hi clear
let g:colors_name = 'artesanal'

let s:t_Co = exists('&t_Co') && !empty(&t_Co) && &t_Co > 1 ? &t_Co : 2
let s:italics = (&t_ZH != '' && &t_ZH != '[7m') || has('gui_running') || has('nvim')

if (has('termguicolors') && &termguicolors) || has('gui_running')
  if &background ==# 'dark'
    let g:terminal_ansi_colors = ['#575c66', '#ff616f', '#69f0b9', '#ffff8d', '#90caf9', '#b39ddb', '#80deea', '#ffffff', '#1c313a', '#ef5350', '#15cf83', '#ffeb3b', '#5d99c6', '#9575cd', '#4dd0e1', '#eff1f4']
    if has('nvim')
      let g:terminal_color_0 = '#575c66'
      let g:terminal_color_1 = '#ff616f'
      let g:terminal_color_2 = '#69f0b9'
      let g:terminal_color_3 = '#ffff8d'
      let g:terminal_color_4 = '#90caf9'
      let g:terminal_color_5 = '#b39ddb'
      let g:terminal_color_6 = '#80deea'
      let g:terminal_color_7 = '#ffffff'
      let g:terminal_color_8 = '#1c313a'
      let g:terminal_color_9 = '#ef5350'
      let g:terminal_color_10 = '#15cf83'
      let g:terminal_color_11 = '#ffeb3b'
      let g:terminal_color_12 = '#5d99c6'
      let g:terminal_color_13 = '#9575cd'
      let g:terminal_color_14 = '#4dd0e1'
      let g:terminal_color_15 = '#eff1f4'
    endif
    if !has('gui_running') && get(g:, 'artesanal_dimmed', 0)
      if !has('gui_running') && &background ==# 'light'
        if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
          hi Normal guifg=#000000 guibg=NONE gui=NONE cterm=NONE
        else
          hi Normal guifg=#000000 guibg=#2e3440 gui=NONE cterm=NONE
        endif
      elseif !has('gui_running') && &background ==# 'dark'
        if get(g:, 'artesanal_transparent', 0)
          hi Normal guifg=#ffffff guibg=NONE gui=NONE cterm=NONE
        else
          hi Normal guifg=#ffffff guibg=#2e3440 gui=NONE cterm=NONE
        endif
      endif
      hi Conceal guifg=#5d99c6 guibg=NONE gui=NONE cterm=NONE
      hi Constant guifg=#15cf83 guibg=NONE gui=NONE cterm=NONE
      hi Directory guifg=#5d99c6 guibg=NONE gui=bold cterm=bold
      hi Error guifg=#ef5350 guibg=NONE gui=bold,standout cterm=bold,reverse
      hi Function guifg=#4dd0e1 guibg=NONE gui=NONE cterm=NONE
      hi Identifier guifg=#5d99c6 guibg=NONE gui=NONE cterm=NONE
      hi ModeMsg guifg=#5d99c6 guibg=NONE gui=NONE cterm=NONE
      hi MoreMsg guifg=#15cf83 guibg=NONE gui=NONE cterm=NONE
      hi PreProc guifg=#4dd0e1 guibg=NONE gui=NONE cterm=NONE
      hi Statement guifg=#ef5350 guibg=NONE gui=NONE cterm=NONE
      hi Special guifg=#ffeb3b guibg=NONE gui=NONE cterm=NONE
      hi Todo guifg=#4dd0e1 guibg=NONE gui=reverse cterm=reverse
      hi WarningMsg guifg=#ef5350 guibg=NONE gui=NONE cterm=NONE
      hi WildMenu guifg=#5d99c6 guibg=#455a64 gui=bold cterm=bold
    else
      if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
        hi Normal guifg=#e4e6eb guibg=NONE gui=NONE cterm=NONE
      else
        hi Normal guifg=#e4e6eb guibg=#2e3440 gui=NONE cterm=NONE
      endif
      hi Conceal guifg=#90caf9 guibg=NONE gui=NONE cterm=NONE
      hi Constant guifg=#69f0b9 guibg=NONE gui=NONE cterm=NONE
      hi Directory guifg=#90caf9 guibg=NONE gui=bold cterm=bold
      hi Error guifg=#ff616f guibg=NONE gui=bold,standout cterm=bold,reverse
      hi Function guifg=#80deea guibg=NONE gui=NONE cterm=NONE
      hi Identifier guifg=#90caf9 guibg=NONE gui=NONE cterm=NONE
      hi ModeMsg guifg=#90caf9 guibg=NONE gui=NONE cterm=NONE
      hi MoreMsg guifg=#69f0b9 guibg=NONE gui=NONE cterm=NONE
      hi PreProc guifg=#80deea guibg=NONE gui=NONE cterm=NONE
      hi Statement guifg=#ff616f guibg=NONE gui=NONE cterm=NONE
      hi Special guifg=#ffff8d guibg=NONE gui=NONE cterm=NONE
      hi Todo guifg=#80deea guibg=NONE gui=reverse cterm=reverse
      hi WarningMsg guifg=#ff616f guibg=NONE gui=NONE cterm=NONE
      hi WildMenu guifg=#90caf9 guibg=#455a64 gui=bold cterm=bold
    endif
    if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
      hi CursorLineNr guifg=#ffff8d guibg=NONE gui=NONE cterm=NONE
      hi FoldColumn guifg=#575c66 guibg=NONE gui=NONE cterm=NONE
      hi SignColumn guifg=#cdd2db guibg=NONE gui=NONE cterm=NONE
      hi VertSplit guifg=#546e7a guibg=NONE gui=NONE cterm=NONE
    else
      hi CursorLineNr guifg=#ffff8d guibg=#37474f gui=NONE cterm=NONE
      hi FoldColumn guifg=#575c66 guibg=#37474f gui=NONE cterm=NONE
      hi SignColumn guifg=#cdd2db guibg=#37474f gui=NONE cterm=NONE
      hi VertSplit guifg=#546e7a guibg=#2e3440 gui=NONE cterm=NONE
    endif
    hi ColorColumn guifg=NONE guibg=#37474f gui=bold cterm=bold
    hi Cursor guifg=NONE guibg=NONE gui=bold,reverse ctermfg=NONE ctermbg=NONE cterm=bold,reverse
    hi CursorColumn guifg=NONE guibg=#37474f gui=NONE cterm=NONE
    hi CursorLine guifg=NONE guibg=#37474f gui=bold cterm=bold
    hi DiffAdd guifg=NONE guibg=#3f7070 gui=NONE cterm=NONE
    hi DiffAdded guifg=NONE guibg=#3f7070 gui=NONE cterm=NONE
    hi DiffChange guifg=NONE guibg=#3f5a70 gui=NONE cterm=NONE
    hi DiffDelete guifg=NONE guibg=#663d43 gui=NONE cterm=NONE
    hi DiffRemoved guifg=NONE guibg=#663d43 gui=NONE cterm=NONE
    hi DiffText guifg=NONE guibg=#3f7070 gui=NONE cterm=NONE
    hi EndOfBuffer guifg=#2e3440 guibg=NONE gui=NONE cterm=NONE
    hi! link ErrorMsg Error
    hi Folded guifg=#546e7a guibg=#37474f gui=italic cterm=NONE
    hi IncSearch guifg=#ffff8d guibg=#1c313a gui=reverse cterm=reverse
    hi LineNr guifg=#546e7a guibg=#37474f gui=NONE cterm=NONE
    hi SignColumn guifg=NONE guibg=#37474f gui=NONE cterm=NONE
    hi MatchParen guifg=NONE guibg=#455a64 gui=bold cterm=bold
    hi NonText guifg=#90a4ae guibg=NONE gui=NONE cterm=NONE
    hi Pmenu guifg=#e4e6eb guibg=#455a64 gui=NONE cterm=NONE
    hi PmenuSbar guifg=NONE guibg=#455a64 gui=NONE cterm=NONE
    hi PmenuSel guifg=#37474f guibg=#cdd2db gui=bold cterm=bold
    hi PmenuThumb guifg=NONE guibg=#90a4ae gui=NONE cterm=NONE
    hi Question guifg=#ffeb3b guibg=NONE gui=NONE cterm=NONE
    hi! link QuickFixLine Search
    hi Search guifg=#fff9c4 guibg=#1c313a gui=reverse cterm=reverse
    hi SpecialKey guifg=#90a4ae guibg=NONE gui=NONE cterm=NONE
    hi SpellBad guifg=#ff616f guibg=NONE gui=italic,undercurl cterm=underline
    hi SpellCap guifg=#90caf9 guibg=NONE gui=italic,undercurl cterm=underline
    hi SpellLocal guifg=#80deea guibg=NONE gui=italic,undercurl cterm=underline
    hi SpellRare guifg=#b39ddb guibg=NONE gui=italic,undercurl cterm=underline
    hi StatusLine guifg=#e4e6eb guibg=#455a64 gui=NONE cterm=NONE
    hi StatusLineNC guifg=#cdd2db guibg=#37474f gui=NONE cterm=NONE
    hi! link StatusLineTerm StatusLine
    hi! link StatusLineTermNC StatusLineNC
    hi! link TabLine TabLineFill
    hi TabLineFill guifg=#cdd2db guibg=#546e7a gui=NONE cterm=NONE
    hi TabLineSel guifg=#e4e6eb guibg=#37474f gui=NONE cterm=NONE
    hi Title guifg=#ff616f guibg=NONE gui=bold cterm=bold
    hi Visual guifg=NONE guibg=#37474f gui=NONE cterm=NONE
    hi! link VisualNOS Visual
    hi! link Boolean Constant
    hi! link Character Constant
    hi Comment guifg=#b6bdcb guibg=NONE gui=NONE cterm=NONE
    hi! link Conditional Statement
    hi! link Define PreProc
    hi! link Debug Special
    hi! link Delimiter Special
    hi! link Exception Statement
    hi! link Float Constant
    hi Ignore guifg=fg guibg=NONE gui=NONE cterm=NONE
    hi! link Include PreProc
    hi! link Keyword Statement
    hi! link Label Statement
    hi! link Macro PreProc
    hi! link Number Constant
    hi! link Operator Statement
    hi! link PreCondit PreProc
    hi! link Repeat Statement
    hi! link SpecialChar Special
    hi! link SpecialComment Special
    hi! link StorageClass Type
    hi! link String Constant
    hi! link Structure Type
    hi! link Tag Special
    hi Type guifg=#4dd0e1 guibg=NONE gui=NONE cterm=NONE
    hi! link Typedef Type
    hi Underlined guifg=NONE guibg=NONE gui=underline ctermfg=NONE ctermbg=NONE cterm=underline
    hi! link lCursor Cursor
    hi CursorIM guifg=NONE guibg=NONE gui=reverse ctermfg=NONE ctermbg=NONE cterm=reverse
    hi ToolbarLine guifg=NONE guibg=#546e7a gui=NONE cterm=NONE
    hi ToolbarButton guifg=#eff1f4 guibg=#546e7a gui=bold cterm=bold
    hi! link iCursor Cursor
    hi! link vCursor Cursor
    hi NormalMode guifg=#cdd2db guibg=#2e3440 gui=reverse cterm=reverse
    hi InsertMode guifg=#90caf9 guibg=#2e3440 gui=reverse cterm=reverse
    hi ReplaceMode guifg=#80deea guibg=#2e3440 gui=reverse cterm=reverse
    hi VisualMode guifg=#ffff8d guibg=#2e3440 gui=reverse cterm=reverse
    hi CommandMode guifg=#b39ddb guibg=#2e3440 gui=reverse cterm=reverse
    hi Warnings guifg=#ffff8d guibg=#2e3440 gui=reverse cterm=reverse
    hi GitSignsAdd guifg=#69f0b9 guibg=#37474f gui=NONE cterm=NONE
    hi! link GitSignsAddNr GitSignsAdd
    hi GitSignsChange guifg=#90caf9 guibg=#37474f gui=NONE cterm=NONE
    hi! link GitSignsChangeNr GitSignsChange
    hi GitSignsDelete guifg=#ff616f guibg=#37474f gui=NONE cterm=NONE
    hi! link GitSignsDeleteNr GitSignsDelete
    if !s:italics
      hi Folded gui=NONE cterm=NONE
      hi SpellBad gui=undercurl cterm=underline
      hi SpellCap gui=undercurl cterm=underline
      hi SpellLocal gui=undercurl cterm=underline
      hi SpellRare gui=undercurl cterm=underline
    endif
    if has('nvim')
      hi! link TermCursor Cursor
      hi TermCursorNC guifg=#37474f guibg=#e4e6eb gui=NONE cterm=NONE
    endif
    unlet s:t_Co s:italics
    finish
  endif
  " Light background
  let g:terminal_ansi_colors = ['#1c313a', '#99000d', '#0c7047', '#cc6c0b', '#064578', '#5f468a', '#198b9a', '#eff1f4', '#575c66', '#b2000f', '#0e8756', '#ff870e', '#0961a8', '#7a5ab2', '#1d9fb0', '#ffffff']
  if has('nvim')
    let g:terminal_color_0 = '#1c313a'
    let g:terminal_color_1 = '#99000d'
    let g:terminal_color_2 = '#0c7047'
    let g:terminal_color_3 = '#cc6c0b'
    let g:terminal_color_4 = '#064578'
    let g:terminal_color_5 = '#5f468a'
    let g:terminal_color_6 = '#198b9a'
    let g:terminal_color_7 = '#eff1f4'
    let g:terminal_color_8 = '#575c66'
    let g:terminal_color_9 = '#b2000f'
    let g:terminal_color_10 = '#0e8756'
    let g:terminal_color_11 = '#ff870e'
    let g:terminal_color_12 = '#0961a8'
    let g:terminal_color_13 = '#7a5ab2'
    let g:terminal_color_14 = '#1d9fb0'
    let g:terminal_color_15 = '#ffffff'
  endif
  if !has('gui_running') && get(g:, 'artesanal_dimmed', 0)
    if !has('gui_running') && &background ==# 'light'
      if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
        hi Normal guifg=#000000 guibg=NONE gui=NONE cterm=NONE
      else
        hi Normal guifg=#000000 guibg=#eff1f4 gui=NONE cterm=NONE
      endif
    elseif !has('gui_running') && &background ==# 'dark'
      if get(g:, 'artesanal_transparent', 0)
        hi Normal guifg=#ffffff guibg=NONE gui=NONE cterm=NONE
      else
        hi Normal guifg=#ffffff guibg=#eff1f4 gui=NONE cterm=NONE
      endif
    endif
    hi Conceal guifg=#064578 guibg=NONE gui=NONE cterm=NONE
    hi Constant guifg=#0c7047 guibg=NONE gui=NONE cterm=NONE
    hi Directory guifg=#064578 guibg=NONE gui=bold cterm=bold
    hi Error guifg=#99000d guibg=NONE gui=bold,standout cterm=bold,reverse
    hi Function guifg=#198b9a guibg=NONE gui=NONE cterm=NONE
    hi Identifier guifg=#064578 guibg=NONE gui=NONE cterm=NONE
    hi ModeMsg guifg=#064578 guibg=NONE gui=NONE cterm=NONE
    hi MoreMsg guifg=#0c7047 guibg=NONE gui=NONE cterm=NONE
    hi PreProc guifg=#198b9a guibg=NONE gui=NONE cterm=NONE
    hi Statement guifg=#99000d guibg=NONE gui=NONE cterm=NONE
    hi Special guifg=#cc6c0b guibg=NONE gui=NONE cterm=NONE
    hi Todo guifg=#198b9a guibg=NONE gui=reverse cterm=reverse
    hi WarningMsg guifg=#99000d guibg=NONE gui=NONE cterm=NONE
    hi WildMenu guifg=#064578 guibg=#cdd2db gui=bold cterm=bold
  else
    if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
      hi Normal guifg=#37474f guibg=NONE gui=NONE cterm=NONE
    else
      hi Normal guifg=#37474f guibg=#eff1f4 gui=NONE cterm=NONE
    endif
    hi Conceal guifg=#0961a8 guibg=NONE gui=NONE cterm=NONE
    hi Constant guifg=#0e8756 guibg=NONE gui=NONE cterm=NONE
    hi Directory guifg=#0961a8 guibg=NONE gui=bold cterm=bold
    hi Error guifg=#b2000f guibg=NONE gui=bold,standout cterm=bold,reverse
    hi Function guifg=#1d9fb0 guibg=NONE gui=NONE cterm=NONE
    hi Identifier guifg=#0961a8 guibg=NONE gui=NONE cterm=NONE
    hi ModeMsg guifg=#0961a8 guibg=NONE gui=NONE cterm=NONE
    hi MoreMsg guifg=#0e8756 guibg=NONE gui=NONE cterm=NONE
    hi PreProc guifg=#1d9fb0 guibg=NONE gui=NONE cterm=NONE
    hi Statement guifg=#b2000f guibg=NONE gui=NONE cterm=NONE
    hi Special guifg=#ff870e guibg=NONE gui=NONE cterm=NONE
    hi Todo guifg=#1d9fb0 guibg=NONE gui=reverse cterm=reverse
    hi WarningMsg guifg=#b2000f guibg=NONE gui=NONE cterm=NONE
    hi WildMenu guifg=#0961a8 guibg=#cdd2db gui=bold cterm=bold
  endif
  if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
    hi CursorLineNr guifg=#ff870e guibg=NONE gui=NONE cterm=NONE
    hi FoldColumn guifg=#575c66 guibg=NONE gui=NONE cterm=NONE
    hi SignColumn guifg=#455a64 guibg=NONE gui=NONE cterm=NONE
    hi VertSplit guifg=#b6bdcb guibg=NONE gui=NONE cterm=NONE
  else
    hi CursorLineNr guifg=#ff870e guibg=#e4e6eb gui=NONE cterm=NONE
    hi FoldColumn guifg=#575c66 guibg=#e4e6eb gui=NONE cterm=NONE
    hi SignColumn guifg=#455a64 guibg=#e4e6eb gui=NONE cterm=NONE
    hi VertSplit guifg=#b6bdcb guibg=#eff1f4 gui=NONE cterm=NONE
  endif
  hi ColorColumn guifg=NONE guibg=#e4e6eb gui=bold cterm=bold
  hi Cursor guifg=NONE guibg=NONE gui=bold,reverse ctermfg=NONE ctermbg=NONE cterm=bold,reverse
  hi CursorColumn guifg=NONE guibg=#e4e6eb gui=NONE cterm=NONE
  hi CursorLine guifg=NONE guibg=#e4e6eb gui=bold cterm=bold
  hi DiffAdd guifg=NONE guibg=#c3e6d7 gui=NONE cterm=NONE
  hi DiffAdded guifg=NONE guibg=#c3e6d7 gui=NONE cterm=NONE
  hi DiffChange guifg=NONE guibg=#c3d1e6 gui=NONE cterm=NONE
  hi DiffDelete guifg=NONE guibg=#f0cccf gui=NONE cterm=NONE
  hi DiffRemoved guifg=NONE guibg=#f0cccf gui=NONE cterm=NONE
  hi DiffText guifg=NONE guibg=#c3e6d7 gui=NONE cterm=NONE
  hi EndOfBuffer guifg=#eff1f4 guibg=NONE gui=NONE cterm=NONE
  hi! link ErrorMsg Error
  hi Folded guifg=#b6bdcb guibg=#e4e6eb gui=italic cterm=NONE
  hi IncSearch guifg=#ff870e guibg=#1c313a gui=reverse cterm=reverse
  hi LineNr guifg=#b6bdcb guibg=#e4e6eb gui=NONE cterm=NONE
  hi SignColumn guifg=NONE guibg=#e4e6eb gui=NONE cterm=NONE
  hi MatchParen guifg=NONE guibg=#cdd2db gui=bold cterm=bold
  hi NonText guifg=#9fa8ba guibg=NONE gui=NONE cterm=NONE
  hi Pmenu guifg=#37474f guibg=#cdd2db gui=NONE cterm=NONE
  hi PmenuSbar guifg=NONE guibg=#cdd2db gui=NONE cterm=NONE
  hi PmenuSel guifg=#e4e6eb guibg=#455a64 gui=bold cterm=bold
  hi PmenuThumb guifg=NONE guibg=#9fa8ba gui=NONE cterm=NONE
  hi Question guifg=#cc6c0b guibg=NONE gui=NONE cterm=NONE
  hi! link QuickFixLine Search
  hi Search guifg=#ffb76e guibg=#1c313a gui=reverse cterm=reverse
  hi SpecialKey guifg=#9fa8ba guibg=NONE gui=NONE cterm=NONE
  hi SpellBad guifg=#b2000f guibg=NONE gui=italic,undercurl cterm=underline
  hi SpellCap guifg=#0961a8 guibg=NONE gui=italic,undercurl cterm=underline
  hi SpellLocal guifg=#1d9fb0 guibg=NONE gui=italic,undercurl cterm=underline
  hi SpellRare guifg=#7a5ab2 guibg=NONE gui=italic,undercurl cterm=underline
  hi StatusLine guifg=#37474f guibg=#cdd2db gui=NONE cterm=NONE
  hi StatusLineNC guifg=#455a64 guibg=#e4e6eb gui=NONE cterm=NONE
  hi! link StatusLineTerm StatusLine
  hi! link StatusLineTermNC StatusLineNC
  hi! link TabLine TabLineFill
  hi TabLineFill guifg=#455a64 guibg=#b6bdcb gui=NONE cterm=NONE
  hi TabLineSel guifg=#37474f guibg=#e4e6eb gui=NONE cterm=NONE
  hi Title guifg=#b2000f guibg=NONE gui=bold cterm=bold
  hi Visual guifg=NONE guibg=#e4e6eb gui=NONE cterm=NONE
  hi! link VisualNOS Visual
  hi! link Boolean Constant
  hi! link Character Constant
  hi Comment guifg=#546e7a guibg=NONE gui=NONE cterm=NONE
  hi! link Conditional Statement
  hi! link Define PreProc
  hi! link Debug Special
  hi! link Delimiter Special
  hi! link Exception Statement
  hi! link Float Constant
  hi Ignore guifg=fg guibg=NONE gui=NONE cterm=NONE
  hi! link Include PreProc
  hi! link Keyword Statement
  hi! link Label Statement
  hi! link Macro PreProc
  hi! link Number Constant
  hi! link Operator Statement
  hi! link PreCondit PreProc
  hi! link Repeat Statement
  hi! link SpecialChar Special
  hi! link SpecialComment Special
  hi! link StorageClass Type
  hi! link String Constant
  hi! link Structure Type
  hi! link Tag Special
  hi Type guifg=#198b9a guibg=NONE gui=NONE cterm=NONE
  hi! link Typedef Type
  hi Underlined guifg=NONE guibg=NONE gui=underline ctermfg=NONE ctermbg=NONE cterm=underline
  hi! link lCursor Cursor
  hi CursorIM guifg=NONE guibg=NONE gui=reverse ctermfg=NONE ctermbg=NONE cterm=reverse
  hi ToolbarLine guifg=NONE guibg=#b6bdcb gui=NONE cterm=NONE
  hi ToolbarButton guifg=#2e3440 guibg=#b6bdcb gui=bold cterm=bold
  hi! link iCursor Cursor
  hi! link vCursor Cursor
  hi NormalMode guifg=#455a64 guibg=#eff1f4 gui=reverse cterm=reverse
  hi InsertMode guifg=#0961a8 guibg=#eff1f4 gui=reverse cterm=reverse
  hi ReplaceMode guifg=#1d9fb0 guibg=#eff1f4 gui=reverse cterm=reverse
  hi VisualMode guifg=#ff870e guibg=#eff1f4 gui=reverse cterm=reverse
  hi CommandMode guifg=#7a5ab2 guibg=#eff1f4 gui=reverse cterm=reverse
  hi Warnings guifg=#ff870e guibg=#eff1f4 gui=reverse cterm=reverse
  hi GitSignsAdd guifg=#0e8756 guibg=#e4e6eb gui=NONE cterm=NONE
  hi! link GitSignsAddNr GitSignsAdd
  hi GitSignsChange guifg=#0961a8 guibg=#e4e6eb gui=NONE cterm=NONE
  hi! link GitSignsChangeNr GitSignsChange
  hi GitSignsDelete guifg=#b2000f guibg=#e4e6eb gui=NONE cterm=NONE
  hi! link GitSignsDeleteNr GitSignsDelete
  if !s:italics
    hi Folded gui=NONE cterm=NONE
    hi SpellBad gui=undercurl cterm=underline
    hi SpellCap gui=undercurl cterm=underline
    hi SpellLocal gui=undercurl cterm=underline
    hi SpellRare gui=undercurl cterm=underline
  endif
  if has('nvim')
    hi! link TermCursor Cursor
    hi TermCursorNC guifg=#e4e6eb guibg=#37474f gui=NONE cterm=NONE
  endif
  unlet s:t_Co s:italics
  finish
endif

if s:t_Co >= 256
  if &background ==# 'dark'
    if !has('gui_running') && get(g:, 'artesanal_dimmed', 0)
      if !has('gui_running') && &background ==# 'light'
        if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
          hi Normal ctermfg=16 ctermbg=NONE cterm=NONE
        else
          hi Normal ctermfg=16 ctermbg=236 cterm=NONE
          if !has('patch-8.0.0616') && !has('nvim') " Fix for Vim bug
            set background=dark
          endif
        endif
      elseif !has('gui_running') && &background ==# 'dark'
        if get(g:, 'artesanal_transparent', 0)
          hi Normal ctermfg=231 ctermbg=NONE cterm=NONE
        else
          hi Normal ctermfg=231 ctermbg=236 cterm=NONE
          if !has('patch-8.0.0616') && !has('nvim') " Fix for Vim bug
            set background=dark
          endif
        endif
      endif
      hi Conceal ctermfg=67 ctermbg=NONE cterm=NONE
      hi Constant ctermfg=42 ctermbg=NONE cterm=NONE
      hi Directory ctermfg=67 ctermbg=NONE cterm=bold
      hi Error ctermfg=203 ctermbg=NONE cterm=bold,reverse
      hi Function ctermfg=80 ctermbg=NONE cterm=NONE
      hi Identifier ctermfg=67 ctermbg=NONE cterm=NONE
      hi ModeMsg ctermfg=67 ctermbg=NONE cterm=NONE
      hi MoreMsg ctermfg=42 ctermbg=NONE cterm=NONE
      hi PreProc ctermfg=80 ctermbg=NONE cterm=NONE
      hi Statement ctermfg=203 ctermbg=NONE cterm=NONE
      hi Special ctermfg=226 ctermbg=NONE cterm=NONE
      hi Todo ctermfg=80 ctermbg=NONE cterm=reverse
      hi WarningMsg ctermfg=203 ctermbg=NONE cterm=NONE
      hi WildMenu ctermfg=67 ctermbg=240 cterm=bold
    else
      if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
        hi Normal ctermfg=254 ctermbg=NONE cterm=NONE
      else
        hi Normal ctermfg=254 ctermbg=236 cterm=NONE
        if !has('patch-8.0.0616') && !has('nvim') " Fix for Vim bug
          set background=dark
        endif
      endif
      hi Conceal ctermfg=153 ctermbg=NONE cterm=NONE
      hi Constant ctermfg=85 ctermbg=NONE cterm=NONE
      hi Directory ctermfg=153 ctermbg=NONE cterm=bold
      hi Error ctermfg=203 ctermbg=NONE cterm=bold,reverse
      hi Function ctermfg=116 ctermbg=NONE cterm=NONE
      hi Identifier ctermfg=153 ctermbg=NONE cterm=NONE
      hi ModeMsg ctermfg=153 ctermbg=NONE cterm=NONE
      hi MoreMsg ctermfg=85 ctermbg=NONE cterm=NONE
      hi PreProc ctermfg=116 ctermbg=NONE cterm=NONE
      hi Statement ctermfg=203 ctermbg=NONE cterm=NONE
      hi Special ctermfg=228 ctermbg=NONE cterm=NONE
      hi Todo ctermfg=116 ctermbg=NONE cterm=reverse
      hi WarningMsg ctermfg=203 ctermbg=NONE cterm=NONE
      hi WildMenu ctermfg=153 ctermbg=240 cterm=bold
    endif
    if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
      hi CursorLineNr ctermfg=228 ctermbg=NONE cterm=NONE
      hi FoldColumn ctermfg=59 ctermbg=NONE cterm=NONE
      hi SignColumn ctermfg=252 ctermbg=NONE cterm=NONE
      hi VertSplit ctermfg=242 ctermbg=NONE cterm=NONE
    else
      hi CursorLineNr ctermfg=228 ctermbg=238 cterm=NONE
      hi FoldColumn ctermfg=59 ctermbg=238 cterm=NONE
      hi SignColumn ctermfg=252 ctermbg=238 cterm=NONE
      hi VertSplit ctermfg=242 ctermbg=236 cterm=NONE
    endif
    hi ColorColumn ctermfg=NONE ctermbg=238 cterm=bold
    hi Cursor ctermfg=NONE ctermbg=NONE cterm=bold,reverse
    hi CursorColumn ctermfg=NONE ctermbg=238 cterm=NONE
    hi CursorLine ctermfg=NONE ctermbg=238 cterm=bold
    hi DiffAdd ctermfg=NONE ctermbg=23 cterm=NONE
    hi DiffAdded ctermfg=NONE ctermbg=23 cterm=NONE
    hi DiffChange ctermfg=NONE ctermbg=24 cterm=NONE
    hi DiffDelete ctermfg=NONE ctermbg=95 cterm=NONE
    hi DiffRemoved ctermfg=NONE ctermbg=95 cterm=NONE
    hi DiffText ctermfg=NONE ctermbg=23 cterm=NONE
    hi EndOfBuffer ctermfg=236 ctermbg=NONE cterm=NONE
    hi! link ErrorMsg Error
    hi Folded ctermfg=242 ctermbg=238 cterm=NONE
    hi IncSearch ctermfg=228 ctermbg=236 cterm=reverse
    hi LineNr ctermfg=242 ctermbg=238 cterm=NONE
    hi SignColumn ctermfg=NONE ctermbg=238 cterm=NONE
    hi MatchParen ctermfg=NONE ctermbg=240 cterm=bold
    hi NonText ctermfg=247 ctermbg=NONE cterm=NONE
    hi Pmenu ctermfg=254 ctermbg=240 cterm=NONE
    hi PmenuSbar ctermfg=NONE ctermbg=240 cterm=NONE
    hi PmenuSel ctermfg=238 ctermbg=252 cterm=bold
    hi PmenuThumb ctermfg=NONE ctermbg=247 cterm=NONE
    hi Question ctermfg=226 ctermbg=NONE cterm=NONE
    hi! link QuickFixLine Search
    hi Search ctermfg=230 ctermbg=236 cterm=reverse
    hi SpecialKey ctermfg=247 ctermbg=NONE cterm=NONE
    hi SpellBad ctermfg=203 ctermbg=NONE cterm=underline
    hi SpellCap ctermfg=153 ctermbg=NONE cterm=underline
    hi SpellLocal ctermfg=116 ctermbg=NONE cterm=underline
    hi SpellRare ctermfg=140 ctermbg=NONE cterm=underline
    hi StatusLine ctermfg=254 ctermbg=240 cterm=NONE
    hi StatusLineNC ctermfg=252 ctermbg=238 cterm=NONE
    hi! link StatusLineTerm StatusLine
    hi! link StatusLineTermNC StatusLineNC
    hi! link TabLine TabLineFill
    hi TabLineFill ctermfg=252 ctermbg=242 cterm=NONE
    hi TabLineSel ctermfg=254 ctermbg=238 cterm=NONE
    hi Title ctermfg=203 ctermbg=NONE cterm=bold
    hi Visual ctermfg=NONE ctermbg=238 cterm=NONE
    hi! link VisualNOS Visual
    hi! link Boolean Constant
    hi! link Character Constant
    hi Comment ctermfg=250 ctermbg=NONE cterm=NONE
    hi! link Conditional Statement
    hi! link Define PreProc
    hi! link Debug Special
    hi! link Delimiter Special
    hi! link Exception Statement
    hi! link Float Constant
    hi Ignore ctermfg=fg ctermbg=NONE cterm=NONE
    hi! link Include PreProc
    hi! link Keyword Statement
    hi! link Label Statement
    hi! link Macro PreProc
    hi! link Number Constant
    hi! link Operator Statement
    hi! link PreCondit PreProc
    hi! link Repeat Statement
    hi! link SpecialChar Special
    hi! link SpecialComment Special
    hi! link StorageClass Type
    hi! link String Constant
    hi! link Structure Type
    hi! link Tag Special
    hi Type ctermfg=80 ctermbg=NONE cterm=NONE
    hi! link Typedef Type
    hi Underlined ctermfg=NONE ctermbg=NONE cterm=underline
    hi! link lCursor Cursor
    hi CursorIM ctermfg=NONE ctermbg=NONE cterm=reverse
    hi ToolbarLine ctermfg=NONE ctermbg=242 cterm=NONE
    hi ToolbarButton ctermfg=255 ctermbg=242 cterm=bold
    hi! link iCursor Cursor
    hi! link vCursor Cursor
    hi NormalMode ctermfg=252 ctermbg=236 cterm=reverse
    hi InsertMode ctermfg=153 ctermbg=236 cterm=reverse
    hi ReplaceMode ctermfg=116 ctermbg=236 cterm=reverse
    hi VisualMode ctermfg=228 ctermbg=236 cterm=reverse
    hi CommandMode ctermfg=140 ctermbg=236 cterm=reverse
    hi Warnings ctermfg=228 ctermbg=236 cterm=reverse
    hi GitSignsAdd ctermfg=85 ctermbg=238 cterm=NONE
    hi! link GitSignsAddNr GitSignsAdd
    hi GitSignsChange ctermfg=153 ctermbg=238 cterm=NONE
    hi! link GitSignsChangeNr GitSignsChange
    hi GitSignsDelete ctermfg=203 ctermbg=238 cterm=NONE
    hi! link GitSignsDeleteNr GitSignsDelete
    if has('nvim')
      hi! link TermCursor Cursor
      hi TermCursorNC ctermfg=238 ctermbg=254 cterm=NONE
    endif
    unlet s:t_Co s:italics
    finish
  endif
  " Light background
  if !has('gui_running') && get(g:, 'artesanal_dimmed', 0)
    if !has('gui_running') && &background ==# 'light'
      if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
        hi Normal ctermfg=16 ctermbg=NONE cterm=NONE
      else
        hi Normal ctermfg=16 ctermbg=255 cterm=NONE
      endif
    elseif !has('gui_running') && &background ==# 'dark'
      if get(g:, 'artesanal_transparent', 0)
        hi Normal ctermfg=231 ctermbg=NONE cterm=NONE
      else
        hi Normal ctermfg=231 ctermbg=255 cterm=NONE
      endif
    endif
    hi Conceal ctermfg=25 ctermbg=NONE cterm=NONE
    hi Constant ctermfg=29 ctermbg=NONE cterm=NONE
    hi Directory ctermfg=25 ctermbg=NONE cterm=bold
    hi Error ctermfg=88 ctermbg=NONE cterm=bold,reverse
    hi Function ctermfg=30 ctermbg=NONE cterm=NONE
    hi Identifier ctermfg=25 ctermbg=NONE cterm=NONE
    hi ModeMsg ctermfg=25 ctermbg=NONE cterm=NONE
    hi MoreMsg ctermfg=29 ctermbg=NONE cterm=NONE
    hi PreProc ctermfg=30 ctermbg=NONE cterm=NONE
    hi Statement ctermfg=88 ctermbg=NONE cterm=NONE
    hi Special ctermfg=166 ctermbg=NONE cterm=NONE
    hi Todo ctermfg=30 ctermbg=NONE cterm=reverse
    hi WarningMsg ctermfg=88 ctermbg=NONE cterm=NONE
    hi WildMenu ctermfg=25 ctermbg=252 cterm=bold
  else
    if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
      hi Normal ctermfg=238 ctermbg=NONE cterm=NONE
    else
      hi Normal ctermfg=238 ctermbg=255 cterm=NONE
    endif
    hi Conceal ctermfg=25 ctermbg=NONE cterm=NONE
    hi Constant ctermfg=29 ctermbg=NONE cterm=NONE
    hi Directory ctermfg=25 ctermbg=NONE cterm=bold
    hi Error ctermfg=124 ctermbg=NONE cterm=bold,reverse
    hi Function ctermfg=37 ctermbg=NONE cterm=NONE
    hi Identifier ctermfg=25 ctermbg=NONE cterm=NONE
    hi ModeMsg ctermfg=25 ctermbg=NONE cterm=NONE
    hi MoreMsg ctermfg=29 ctermbg=NONE cterm=NONE
    hi PreProc ctermfg=37 ctermbg=NONE cterm=NONE
    hi Statement ctermfg=124 ctermbg=NONE cterm=NONE
    hi Special ctermfg=208 ctermbg=NONE cterm=NONE
    hi Todo ctermfg=37 ctermbg=NONE cterm=reverse
    hi WarningMsg ctermfg=124 ctermbg=NONE cterm=NONE
    hi WildMenu ctermfg=25 ctermbg=252 cterm=bold
  endif
  if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
    hi CursorLineNr ctermfg=208 ctermbg=NONE cterm=NONE
    hi FoldColumn ctermfg=59 ctermbg=NONE cterm=NONE
    hi SignColumn ctermfg=240 ctermbg=NONE cterm=NONE
    hi VertSplit ctermfg=250 ctermbg=NONE cterm=NONE
  else
    hi CursorLineNr ctermfg=208 ctermbg=254 cterm=NONE
    hi FoldColumn ctermfg=59 ctermbg=254 cterm=NONE
    hi SignColumn ctermfg=240 ctermbg=254 cterm=NONE
    hi VertSplit ctermfg=250 ctermbg=255 cterm=NONE
  endif
  hi ColorColumn ctermfg=NONE ctermbg=254 cterm=bold
  hi Cursor ctermfg=NONE ctermbg=NONE cterm=bold,reverse
  hi CursorColumn ctermfg=NONE ctermbg=254 cterm=NONE
  hi CursorLine ctermfg=NONE ctermbg=254 cterm=bold
  hi DiffAdd ctermfg=NONE ctermbg=152 cterm=NONE
  hi DiffAdded ctermfg=NONE ctermbg=152 cterm=NONE
  hi DiffChange ctermfg=NONE ctermbg=153 cterm=NONE
  hi DiffDelete ctermfg=NONE ctermbg=224 cterm=NONE
  hi DiffRemoved ctermfg=NONE ctermbg=224 cterm=NONE
  hi DiffText ctermfg=NONE ctermbg=152 cterm=NONE
  hi EndOfBuffer ctermfg=255 ctermbg=NONE cterm=NONE
  hi! link ErrorMsg Error
  hi Folded ctermfg=250 ctermbg=254 cterm=NONE
  hi IncSearch ctermfg=208 ctermbg=236 cterm=reverse
  hi LineNr ctermfg=250 ctermbg=254 cterm=NONE
  hi SignColumn ctermfg=NONE ctermbg=254 cterm=NONE
  hi MatchParen ctermfg=NONE ctermbg=252 cterm=bold
  hi NonText ctermfg=248 ctermbg=NONE cterm=NONE
  hi Pmenu ctermfg=238 ctermbg=252 cterm=NONE
  hi PmenuSbar ctermfg=NONE ctermbg=252 cterm=NONE
  hi PmenuSel ctermfg=254 ctermbg=240 cterm=bold
  hi PmenuThumb ctermfg=NONE ctermbg=248 cterm=NONE
  hi Question ctermfg=166 ctermbg=NONE cterm=NONE
  hi! link QuickFixLine Search
  hi Search ctermfg=215 ctermbg=236 cterm=reverse
  hi SpecialKey ctermfg=248 ctermbg=NONE cterm=NONE
  hi SpellBad ctermfg=124 ctermbg=NONE cterm=underline
  hi SpellCap ctermfg=25 ctermbg=NONE cterm=underline
  hi SpellLocal ctermfg=37 ctermbg=NONE cterm=underline
  hi SpellRare ctermfg=97 ctermbg=NONE cterm=underline
  hi StatusLine ctermfg=238 ctermbg=252 cterm=NONE
  hi StatusLineNC ctermfg=240 ctermbg=254 cterm=NONE
  hi! link StatusLineTerm StatusLine
  hi! link StatusLineTermNC StatusLineNC
  hi! link TabLine TabLineFill
  hi TabLineFill ctermfg=240 ctermbg=250 cterm=NONE
  hi TabLineSel ctermfg=238 ctermbg=254 cterm=NONE
  hi Title ctermfg=124 ctermbg=NONE cterm=bold
  hi Visual ctermfg=NONE ctermbg=254 cterm=NONE
  hi! link VisualNOS Visual
  hi! link Boolean Constant
  hi! link Character Constant
  hi Comment ctermfg=242 ctermbg=NONE cterm=NONE
  hi! link Conditional Statement
  hi! link Define PreProc
  hi! link Debug Special
  hi! link Delimiter Special
  hi! link Exception Statement
  hi! link Float Constant
  hi Ignore ctermfg=fg ctermbg=NONE cterm=NONE
  hi! link Include PreProc
  hi! link Keyword Statement
  hi! link Label Statement
  hi! link Macro PreProc
  hi! link Number Constant
  hi! link Operator Statement
  hi! link PreCondit PreProc
  hi! link Repeat Statement
  hi! link SpecialChar Special
  hi! link SpecialComment Special
  hi! link StorageClass Type
  hi! link String Constant
  hi! link Structure Type
  hi! link Tag Special
  hi Type ctermfg=30 ctermbg=NONE cterm=NONE
  hi! link Typedef Type
  hi Underlined ctermfg=NONE ctermbg=NONE cterm=underline
  hi! link lCursor Cursor
  hi CursorIM ctermfg=NONE ctermbg=NONE cterm=reverse
  hi ToolbarLine ctermfg=NONE ctermbg=250 cterm=NONE
  hi ToolbarButton ctermfg=236 ctermbg=250 cterm=bold
  hi! link iCursor Cursor
  hi! link vCursor Cursor
  hi NormalMode ctermfg=240 ctermbg=255 cterm=reverse
  hi InsertMode ctermfg=25 ctermbg=255 cterm=reverse
  hi ReplaceMode ctermfg=37 ctermbg=255 cterm=reverse
  hi VisualMode ctermfg=208 ctermbg=255 cterm=reverse
  hi CommandMode ctermfg=97 ctermbg=255 cterm=reverse
  hi Warnings ctermfg=208 ctermbg=255 cterm=reverse
  hi GitSignsAdd ctermfg=29 ctermbg=254 cterm=NONE
  hi! link GitSignsAddNr GitSignsAdd
  hi GitSignsChange ctermfg=25 ctermbg=254 cterm=NONE
  hi! link GitSignsChangeNr GitSignsChange
  hi GitSignsDelete ctermfg=124 ctermbg=254 cterm=NONE
  hi! link GitSignsDeleteNr GitSignsDelete
  if has('nvim')
    hi! link TermCursor Cursor
    hi TermCursorNC ctermfg=254 ctermbg=238 cterm=NONE
  endif
  unlet s:t_Co s:italics
  finish
endif

if s:t_Co >= 16
  if &background ==# 'dark'
    if !has('gui_running') && get(g:, 'artesanal_dimmed', 0)
      if !has('gui_running') && &background ==# 'light'
        if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
          hi Normal ctermfg=Black ctermbg=NONE cterm=NONE
        else
          hi Normal ctermfg=Black ctermbg=Black cterm=NONE
        endif
      elseif !has('gui_running') && &background ==# 'dark'
        if get(g:, 'artesanal_transparent', 0)
          hi Normal ctermfg=White ctermbg=NONE cterm=NONE
        else
          hi Normal ctermfg=White ctermbg=Black cterm=NONE
        endif
      endif
      hi Conceal ctermfg=DarkBlue ctermbg=NONE cterm=NONE
      hi Constant ctermfg=DarkGreen ctermbg=NONE cterm=NONE
      hi Directory ctermfg=DarkBlue ctermbg=NONE cterm=bold
      hi Error ctermfg=DarkRed ctermbg=NONE cterm=bold,reverse
      hi Function ctermfg=DarkCyan ctermbg=NONE cterm=NONE
      hi Identifier ctermfg=DarkBlue ctermbg=NONE cterm=NONE
      hi ModeMsg ctermfg=DarkBlue ctermbg=NONE cterm=NONE
      hi MoreMsg ctermfg=DarkGreen ctermbg=NONE cterm=NONE
      hi PreProc ctermfg=DarkCyan ctermbg=NONE cterm=NONE
      hi Statement ctermfg=DarkRed ctermbg=NONE cterm=NONE
      hi Special ctermfg=DarkYellow ctermbg=NONE cterm=NONE
      hi Todo ctermfg=DarkCyan ctermbg=NONE cterm=reverse
      hi WarningMsg ctermfg=DarkRed ctermbg=NONE cterm=NONE
      hi WildMenu ctermfg=DarkBlue ctermbg=DarkGrey cterm=bold
    else
      if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
        hi Normal ctermfg=White ctermbg=NONE cterm=NONE
      else
        hi Normal ctermfg=White ctermbg=Black cterm=NONE
      endif
      hi Conceal ctermfg=Blue ctermbg=NONE cterm=NONE
      hi Constant ctermfg=Green ctermbg=NONE cterm=NONE
      hi Directory ctermfg=Blue ctermbg=NONE cterm=bold
      hi Error ctermfg=Red ctermbg=NONE cterm=bold,reverse
      hi Function ctermfg=Cyan ctermbg=NONE cterm=NONE
      hi Identifier ctermfg=Blue ctermbg=NONE cterm=NONE
      hi ModeMsg ctermfg=Blue ctermbg=NONE cterm=NONE
      hi MoreMsg ctermfg=Green ctermbg=NONE cterm=NONE
      hi PreProc ctermfg=Cyan ctermbg=NONE cterm=NONE
      hi Statement ctermfg=Red ctermbg=NONE cterm=NONE
      hi Special ctermfg=Yellow ctermbg=NONE cterm=NONE
      hi Todo ctermfg=Cyan ctermbg=NONE cterm=reverse
      hi WarningMsg ctermfg=Red ctermbg=NONE cterm=NONE
      hi WildMenu ctermfg=Blue ctermbg=DarkGrey cterm=bold
    endif
    if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
      hi CursorLineNr ctermfg=Yellow ctermbg=NONE cterm=NONE
      hi FoldColumn ctermfg=DarkGray ctermbg=NONE cterm=NONE
      hi SignColumn ctermfg=LightGrey ctermbg=NONE cterm=NONE
      hi VertSplit ctermfg=DarkGrey ctermbg=NONE cterm=NONE
    else
      hi CursorLineNr ctermfg=Yellow ctermbg=Black cterm=NONE
      hi FoldColumn ctermfg=DarkGray ctermbg=Black cterm=NONE
      hi SignColumn ctermfg=LightGrey ctermbg=Black cterm=NONE
      hi VertSplit ctermfg=DarkGrey ctermbg=Black cterm=NONE
    endif
    hi ColorColumn ctermfg=NONE ctermbg=Black cterm=bold
    hi Cursor ctermfg=NONE ctermbg=NONE cterm=bold,reverse
    hi CursorColumn ctermfg=NONE ctermbg=Black cterm=NONE
    hi CursorLine ctermfg=NONE ctermbg=Black cterm=bold
    hi DiffAdd ctermfg=NONE ctermbg=Green cterm=NONE
    hi DiffAdded ctermfg=NONE ctermbg=Green cterm=NONE
    hi DiffChange ctermfg=NONE ctermbg=Blue cterm=NONE
    hi DiffDelete ctermfg=NONE ctermbg=Red cterm=NONE
    hi DiffRemoved ctermfg=NONE ctermbg=Red cterm=NONE
    hi DiffText ctermfg=NONE ctermbg=Green cterm=NONE
    hi EndOfBuffer ctermfg=Black ctermbg=NONE cterm=NONE
    hi! link ErrorMsg Error
    hi Folded ctermfg=DarkGrey ctermbg=Black cterm=NONE
    hi IncSearch ctermfg=Yellow ctermbg=Black cterm=reverse
    hi LineNr ctermfg=DarkGrey ctermbg=Black cterm=NONE
    hi SignColumn ctermfg=NONE ctermbg=Black cterm=NONE
    hi MatchParen ctermfg=NONE ctermbg=DarkGrey cterm=bold
    hi NonText ctermfg=LightGrey ctermbg=NONE cterm=NONE
    hi Pmenu ctermfg=White ctermbg=DarkGrey cterm=NONE
    hi PmenuSbar ctermfg=NONE ctermbg=DarkGrey cterm=NONE
    hi PmenuSel ctermfg=Black ctermbg=LightGrey cterm=bold
    hi PmenuThumb ctermfg=NONE ctermbg=LightGrey cterm=NONE
    hi Question ctermfg=DarkYellow ctermbg=NONE cterm=NONE
    hi! link QuickFixLine Search
    hi Search ctermfg=LightYellow ctermbg=Black cterm=reverse
    hi SpecialKey ctermfg=LightGrey ctermbg=NONE cterm=NONE
    hi SpellBad ctermfg=Red ctermbg=NONE cterm=underline
    hi SpellCap ctermfg=Blue ctermbg=NONE cterm=underline
    hi SpellLocal ctermfg=Cyan ctermbg=NONE cterm=underline
    hi SpellRare ctermfg=Magenta ctermbg=NONE cterm=underline
    hi StatusLine ctermfg=White ctermbg=DarkGrey cterm=NONE
    hi StatusLineNC ctermfg=LightGrey ctermbg=Black cterm=NONE
    hi! link StatusLineTerm StatusLine
    hi! link StatusLineTermNC StatusLineNC
    hi! link TabLine TabLineFill
    hi TabLineFill ctermfg=LightGrey ctermbg=DarkGrey cterm=NONE
    hi TabLineSel ctermfg=White ctermbg=Black cterm=NONE
    hi Title ctermfg=Red ctermbg=NONE cterm=bold
    hi Visual ctermfg=NONE ctermbg=Black cterm=NONE
    hi! link VisualNOS Visual
    hi! link Boolean Constant
    hi! link Character Constant
    hi Comment ctermfg=DarkGrey ctermbg=NONE cterm=NONE
    hi! link Conditional Statement
    hi! link Define PreProc
    hi! link Debug Special
    hi! link Delimiter Special
    hi! link Exception Statement
    hi! link Float Constant
    hi Ignore ctermfg=fg ctermbg=NONE cterm=NONE
    hi! link Include PreProc
    hi! link Keyword Statement
    hi! link Label Statement
    hi! link Macro PreProc
    hi! link Number Constant
    hi! link Operator Statement
    hi! link PreCondit PreProc
    hi! link Repeat Statement
    hi! link SpecialChar Special
    hi! link SpecialComment Special
    hi! link StorageClass Type
    hi! link String Constant
    hi! link Structure Type
    hi! link Tag Special
    hi Type ctermfg=DarkCyan ctermbg=NONE cterm=NONE
    hi! link Typedef Type
    hi Underlined ctermfg=NONE ctermbg=NONE cterm=underline
    hi! link lCursor Cursor
    hi CursorIM ctermfg=NONE ctermbg=NONE cterm=reverse
    hi ToolbarLine ctermfg=NONE ctermbg=DarkGrey cterm=NONE
    hi ToolbarButton ctermfg=White ctermbg=DarkGrey cterm=bold
    hi! link iCursor Cursor
    hi! link vCursor Cursor
    hi NormalMode ctermfg=LightGrey ctermbg=Black cterm=reverse
    hi InsertMode ctermfg=Blue ctermbg=Black cterm=reverse
    hi ReplaceMode ctermfg=Cyan ctermbg=Black cterm=reverse
    hi VisualMode ctermfg=Yellow ctermbg=Black cterm=reverse
    hi CommandMode ctermfg=Magenta ctermbg=Black cterm=reverse
    hi Warnings ctermfg=Yellow ctermbg=Black cterm=reverse
    hi GitSignsAdd ctermfg=Green ctermbg=Black cterm=NONE
    hi! link GitSignsAddNr GitSignsAdd
    hi GitSignsChange ctermfg=Blue ctermbg=Black cterm=NONE
    hi! link GitSignsChangeNr GitSignsChange
    hi GitSignsDelete ctermfg=Red ctermbg=Black cterm=NONE
    hi! link GitSignsDeleteNr GitSignsDelete
    if has('nvim')
      hi! link TermCursor Cursor
      hi TermCursorNC ctermfg=Black ctermbg=White cterm=NONE
    endif
    unlet s:t_Co s:italics
    finish
  endif
  " Light background
  if !has('gui_running') && get(g:, 'artesanal_dimmed', 0)
    if !has('gui_running') && &background ==# 'light'
      if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
        hi Normal ctermfg=Black ctermbg=NONE cterm=NONE
      else
        hi Normal ctermfg=Black ctermbg=White cterm=NONE
      endif
    elseif !has('gui_running') && &background ==# 'dark'
      if get(g:, 'artesanal_transparent', 0)
        hi Normal ctermfg=White ctermbg=NONE cterm=NONE
      else
        hi Normal ctermfg=White ctermbg=White cterm=NONE
      endif
    endif
    hi Conceal ctermfg=DarkBlue ctermbg=NONE cterm=NONE
    hi Constant ctermfg=DarkGreen ctermbg=NONE cterm=NONE
    hi Directory ctermfg=DarkBlue ctermbg=NONE cterm=bold
    hi Error ctermfg=DarkRed ctermbg=NONE cterm=bold,reverse
    hi Function ctermfg=DarkCyan ctermbg=NONE cterm=NONE
    hi Identifier ctermfg=DarkBlue ctermbg=NONE cterm=NONE
    hi ModeMsg ctermfg=DarkBlue ctermbg=NONE cterm=NONE
    hi MoreMsg ctermfg=DarkGreen ctermbg=NONE cterm=NONE
    hi PreProc ctermfg=DarkCyan ctermbg=NONE cterm=NONE
    hi Statement ctermfg=DarkRed ctermbg=NONE cterm=NONE
    hi Special ctermfg=DarkYellow ctermbg=NONE cterm=NONE
    hi Todo ctermfg=DarkCyan ctermbg=NONE cterm=reverse
    hi WarningMsg ctermfg=DarkRed ctermbg=NONE cterm=NONE
    hi WildMenu ctermfg=DarkBlue ctermbg=LightGrey cterm=bold
  else
    if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
      hi Normal ctermfg=Black ctermbg=NONE cterm=NONE
    else
      hi Normal ctermfg=Black ctermbg=White cterm=NONE
    endif
    hi Conceal ctermfg=Blue ctermbg=NONE cterm=NONE
    hi Constant ctermfg=Green ctermbg=NONE cterm=NONE
    hi Directory ctermfg=Blue ctermbg=NONE cterm=bold
    hi Error ctermfg=Red ctermbg=NONE cterm=bold,reverse
    hi Function ctermfg=Cyan ctermbg=NONE cterm=NONE
    hi Identifier ctermfg=Blue ctermbg=NONE cterm=NONE
    hi ModeMsg ctermfg=Blue ctermbg=NONE cterm=NONE
    hi MoreMsg ctermfg=Green ctermbg=NONE cterm=NONE
    hi PreProc ctermfg=Cyan ctermbg=NONE cterm=NONE
    hi Statement ctermfg=Red ctermbg=NONE cterm=NONE
    hi Special ctermfg=Yellow ctermbg=NONE cterm=NONE
    hi Todo ctermfg=Cyan ctermbg=NONE cterm=reverse
    hi WarningMsg ctermfg=Red ctermbg=NONE cterm=NONE
    hi WildMenu ctermfg=Blue ctermbg=LightGrey cterm=bold
  endif
  if !has('gui_running') && get(g:, 'artesanal_transparent', 0)
    hi CursorLineNr ctermfg=Yellow ctermbg=NONE cterm=NONE
    hi FoldColumn ctermfg=DarkGray ctermbg=NONE cterm=NONE
    hi SignColumn ctermfg=DarkGrey ctermbg=NONE cterm=NONE
    hi VertSplit ctermfg=DarkGrey ctermbg=NONE cterm=NONE
  else
    hi CursorLineNr ctermfg=Yellow ctermbg=White cterm=NONE
    hi FoldColumn ctermfg=DarkGray ctermbg=White cterm=NONE
    hi SignColumn ctermfg=DarkGrey ctermbg=White cterm=NONE
    hi VertSplit ctermfg=DarkGrey ctermbg=White cterm=NONE
  endif
  hi ColorColumn ctermfg=NONE ctermbg=White cterm=bold
  hi Cursor ctermfg=NONE ctermbg=NONE cterm=bold,reverse
  hi CursorColumn ctermfg=NONE ctermbg=White cterm=NONE
  hi CursorLine ctermfg=NONE ctermbg=White cterm=bold
  hi DiffAdd ctermfg=NONE ctermbg=LightGreen cterm=NONE
  hi DiffAdded ctermfg=NONE ctermbg=LightGreen cterm=NONE
  hi DiffChange ctermfg=NONE ctermbg=LightBlue cterm=NONE
  hi DiffDelete ctermfg=NONE ctermbg=LightRed cterm=NONE
  hi DiffRemoved ctermfg=NONE ctermbg=LightRed cterm=NONE
  hi DiffText ctermfg=NONE ctermbg=LightGreen cterm=NONE
  hi EndOfBuffer ctermfg=White ctermbg=NONE cterm=NONE
  hi! link ErrorMsg Error
  hi Folded ctermfg=DarkGrey ctermbg=White cterm=NONE
  hi IncSearch ctermfg=Yellow ctermbg=Black cterm=reverse
  hi LineNr ctermfg=DarkGrey ctermbg=White cterm=NONE
  hi SignColumn ctermfg=NONE ctermbg=White cterm=NONE
  hi MatchParen ctermfg=NONE ctermbg=LightGrey cterm=bold
  hi NonText ctermfg=DarkGrey ctermbg=NONE cterm=NONE
  hi Pmenu ctermfg=Black ctermbg=LightGrey cterm=NONE
  hi PmenuSbar ctermfg=NONE ctermbg=LightGrey cterm=NONE
  hi PmenuSel ctermfg=White ctermbg=DarkGrey cterm=bold
  hi PmenuThumb ctermfg=NONE ctermbg=DarkGrey cterm=NONE
  hi Question ctermfg=DarkYellow ctermbg=NONE cterm=NONE
  hi! link QuickFixLine Search
  hi Search ctermfg=LightYellow ctermbg=Black cterm=reverse
  hi SpecialKey ctermfg=DarkGrey ctermbg=NONE cterm=NONE
  hi SpellBad ctermfg=Red ctermbg=NONE cterm=underline
  hi SpellCap ctermfg=Blue ctermbg=NONE cterm=underline
  hi SpellLocal ctermfg=Cyan ctermbg=NONE cterm=underline
  hi SpellRare ctermfg=Magenta ctermbg=NONE cterm=underline
  hi StatusLine ctermfg=Black ctermbg=LightGrey cterm=NONE
  hi StatusLineNC ctermfg=DarkGrey ctermbg=White cterm=NONE
  hi! link StatusLineTerm StatusLine
  hi! link StatusLineTermNC StatusLineNC
  hi! link TabLine TabLineFill
  hi TabLineFill ctermfg=DarkGrey ctermbg=DarkGrey cterm=NONE
  hi TabLineSel ctermfg=Black ctermbg=White cterm=NONE
  hi Title ctermfg=Red ctermbg=NONE cterm=bold
  hi Visual ctermfg=NONE ctermbg=White cterm=NONE
  hi! link VisualNOS Visual
  hi! link Boolean Constant
  hi! link Character Constant
  hi Comment ctermfg=DarkGrey ctermbg=NONE cterm=NONE
  hi! link Conditional Statement
  hi! link Define PreProc
  hi! link Debug Special
  hi! link Delimiter Special
  hi! link Exception Statement
  hi! link Float Constant
  hi Ignore ctermfg=fg ctermbg=NONE cterm=NONE
  hi! link Include PreProc
  hi! link Keyword Statement
  hi! link Label Statement
  hi! link Macro PreProc
  hi! link Number Constant
  hi! link Operator Statement
  hi! link PreCondit PreProc
  hi! link Repeat Statement
  hi! link SpecialChar Special
  hi! link SpecialComment Special
  hi! link StorageClass Type
  hi! link String Constant
  hi! link Structure Type
  hi! link Tag Special
  hi Type ctermfg=DarkCyan ctermbg=NONE cterm=NONE
  hi! link Typedef Type
  hi Underlined ctermfg=NONE ctermbg=NONE cterm=underline
  hi! link lCursor Cursor
  hi CursorIM ctermfg=NONE ctermbg=NONE cterm=reverse
  hi ToolbarLine ctermfg=NONE ctermbg=DarkGrey cterm=NONE
  hi ToolbarButton ctermfg=Black ctermbg=DarkGrey cterm=bold
  hi! link iCursor Cursor
  hi! link vCursor Cursor
  hi NormalMode ctermfg=DarkGrey ctermbg=White cterm=reverse
  hi InsertMode ctermfg=Blue ctermbg=White cterm=reverse
  hi ReplaceMode ctermfg=Cyan ctermbg=White cterm=reverse
  hi VisualMode ctermfg=Yellow ctermbg=White cterm=reverse
  hi CommandMode ctermfg=Magenta ctermbg=White cterm=reverse
  hi Warnings ctermfg=Yellow ctermbg=White cterm=reverse
  hi GitSignsAdd ctermfg=Green ctermbg=White cterm=NONE
  hi! link GitSignsAddNr GitSignsAdd
  hi GitSignsChange ctermfg=Blue ctermbg=White cterm=NONE
  hi! link GitSignsChangeNr GitSignsChange
  hi GitSignsDelete ctermfg=Red ctermbg=White cterm=NONE
  hi! link GitSignsDeleteNr GitSignsDelete
  if has('nvim')
    hi! link TermCursor Cursor
    hi TermCursorNC ctermfg=White ctermbg=Black cterm=NONE
  endif
  unlet s:t_Co s:italics
  finish
endif

" Background: light
" Color: fg0 #2e3440 ~   Black
" Color: fg1 #37474f ~   Black
" Color: fg2 #455a64 ~   DarkGrey
" Color: fg3 #546e7a ~   DarkGrey
" Color: fg4 #90a4ae ~   LightGrey
" Color: bg0 #eff1f4 ~   White
" Color: bg1 #e4e6eb ~   White
" Color: bg2 #cdd2db ~   LightGrey
" Color: bg3 #b6bdcb ~   DarkGrey
" Color: bg4 #9fa8ba ~   DarkGrey
" Color: black                #1c313a     ~        Black
" Color: realblack            #000000     ~        Black
" Color: darkgray             #575c66     ~        DarkGray
" Color: red                  #b2000f     ~        Red
" Color: brightred            #f0cccf     ~        LightRed
" Color: darkred              #99000d     ~        DarkRed
" Color: diffred              #f0cccf     ~        LightRed
" Color: green                #0e8756     ~        Green
" Color: brightgreen          #c3e6d7     ~        LightGreen
" Color: darkgreen            #0c7047     ~        DarkGreen
" Color: diffgreen            #c3e6d7     ~        LightGreen
" Color: yellow               #ff870e     ~        Yellow
" Color: brightyellow         #ffb76e     ~        LightYellow
" Color: darkyellow           #cc6c0b     ~        DarkYellow
" Color: blue                 #0961a8     ~        Blue
" Color: brightblue           #c3d1e6     ~        LightBlue
" Color: darkblue             #064578     ~        DarkBlue
" Color: diffblue             #c3d1e6     ~        LightBlue
" Color: magenta              #7a5ab2     ~        Magenta
" Color: brightmagenta        #e1bee7     ~        LightMagenta
" Color: darkmagenta          #5f468a     ~        DarkMagenta
" Color: cyan                 #1d9fb0     ~        Cyan
" Color: brightcyan           #62ebff     ~        LightCyan
" Color: darkcyan             #198b9a     ~        DarkCyan
" Color: white                #eff1f4     ~        White
" Color: brightwhite          #ffffff     ~        White
" Term Colors: black darkred darkgreen darkyellow darkblue darkmagenta darkcyan white
" Term Colors: darkgray red green yellow blue magenta cyan brightwhite
" Background: dark
" Color: fg0 #eff1f4 ~   White
" Color: fg1 #e4e6eb ~   White
" Color: fg2 #cdd2db ~   LightGrey
" Color: fg3 #b6bdcb ~   DarkGrey
" Color: fg4 #9fa8ba ~   DarkGrey
" Color: bg0 #2e3440 ~   Black
" Color: bg1 #37474f ~   Black
" Color: bg2 #455a64 ~   DarkGrey
" Color: bg3 #546e7a ~   DarkGrey
" Color: bg4 #90a4ae ~   LightGrey
" Color: black                #1c313a     ~        Black
" Color: realblack            #000000     ~        Black
" Color: darkgray             #575c66     ~        DarkGray
" Color: red                  #ff616f     ~        Red
" Color: brightred            #ffcdd2     ~        LightRed
" Color: darkred              #ef5350     ~        DarkRed
" Color: diffred              #663d43     ~        Red
" Color: green                #69f0b9     ~        Green
" Color: brightgreen          #9fffe0     ~        LightGreen
" Color: darkgreen            #15cf83     ~        DarkGreen
" Color: diffgreen            #3f7070     ~        Green
" Color: yellow               #ffff8d     ~        Yellow
" Color: brightyellow         #fff9c4     ~        LightYellow
" Color: darkyellow           #ffeb3b     ~        DarkYellow
" Color: blue                 #90caf9     ~        Blue
" Color: brightblue           #bbdefb     ~        LightBlue
" Color: darkblue             #5d99c6     ~        DarkBlue
" Color: diffblue             #3f5a70     ~        Blue
" Color: magenta              #b39ddb     ~        Magenta
" Color: brightmagenta        #ce93d8     ~        LightMagenta
" Color: darkmagenta          #9575cd     ~        DarkMagenta
" Color: cyan                 #80deea     ~        Cyan
" Color: brightcyan           #b2ebf2     ~        LightCyan
" Color: darkcyan             #4dd0e1     ~        DarkCyan
" Color: white                #eff1f4     ~        White
" Color: brightwhite          #ffffff     ~        White
" Term Colors: darkgray red green yellow blue magenta cyan brightwhite
" Term Colors: black darkred darkgreen darkyellow darkblue darkmagenta darkcyan white
" vim: et ts=2 sw=2
